/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Pierre Garcia 
 */

package org.objectweb.dream.control.activity.manager;

import org.objectweb.dream.control.content.BasicContentController;
import org.objectweb.dream.dreamannotation.DreamComponent;
import org.objectweb.fractal.fraclet.annotation.annotations.Requires;

/**
 * Abstract Scheduler implementation.
 */
@DreamComponent(controllerDesc = "dreamUnstoppablePrimitive")
public abstract class AbstractSchedulerManager
    implements
      SchedulerManager
{

 // ---------------------------------------------------------------------------
  // client interfaces
  // ---------------------------------------------------------------------------
  @Requires(name=ThreadManagerItf.ITF_NAME)
  protected ThreadManagerItf          threadManagerItf;

  /** Name of the content controller client interface of this component. */
  protected static final String    ACTIVITY_CONTENT_CONTROLLER_ITF_NAME = "activities-content";
  @Requires(name=ACTIVITY_CONTENT_CONTROLLER_ITF_NAME)
  protected BasicContentController contentControllerItf;
}
