/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.control.activity.manager;

import org.objectweb.dream.control.activity.task.IllegalTaskException;
import org.objectweb.dream.control.activity.task.Task;
import org.objectweb.fractal.fraclet.annotation.annotations.Interface;

/**
 * Activity manager control interface used to add an remove thread component.
 */
@Interface(name = ThreadManagerItf.ITF_NAME)
public interface ThreadManagerItf
{
  /** default interface name. */
  String ITF_NAME = "thread-manager";

  /**
   * Creates, and returns a thread component.
   * 
   * @return the task interface of the created thread.
   */
  Task addThread();

  /**
   * Removes the thread, the given task interface belong.
   * 
   * @param task a task interface of a thread component.
   * @throws IllegalTaskException if the given task interface is unknown.
   */
  void removeThread(Task task) throws IllegalTaskException;
}
